QGIS Application - Feature request #13803
Color of selection for each layer separately
2015-11-10 10:10 AM - Lukasz Sychowicz

Status: Open

Priority: Normal

Assignee:

Category: Map Canvas

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 21828
Description

Ability to set a selection color for each layer separately, not (as it is now) only for the whole project.

History

#1 - 2015-11-10 11:01 AM - Giovanni Manghi
- Category set to Map Canvas
- Status changed from Open to Feedback

can you provide a use case for such feature?

#2 - 2015-11-10 01:21 PM - Lukasz Sychowicz

For example, to compare two similar layers differing only in geometry details

#3 - 2015-11-10 01:28 PM - Nyall Dawson

Why does that require two different selection colours?

#4 - 2015-11-16 07:58 AM - Christian Roettger
- File select_qgis_arcgis.PNG added

| attached a Screenshot (left QGIS, right ArrghGis) which explains a use case where i think this feature will be very useful. One has a reference area (yellow
hatched), the actual size/area (yellow fat border) like it has to be and the features which are already digitized (which is hard to see in orange normal
border). With the actual QGIS selection everything would be yellow filled and you can't see what has to be edited. | think there are other examples where
this feature increases digitizing and usability.

select_qgis_arcgis.PNG

#5 - 2015-11-17 05:44 AM - Lukasz Sychowicz
- File sel2.jpg added

ok. another way.

in this case:

| want to see which element belongs to which layer when | select something in both layers.
For now | do not see.

https://issues.qgis.org/attachments/9327/sel2.jpg

#6 - 2016-06-14 10:21 PM - Jiirgen Fischer

- Status changed from Feedback to Open

#7 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

Files
select_qgis_arcgis.PNG 1.27 MB 2015-11-16 Christian Roettger
sel2.jpg 80.8 KB 2015-11-17 Lukasz Sychowicz
